Library Version 18.1.40

DB->get_re_len()
Prev | Chapter 2. The DB Handle | Next

## DB->get_re_len()

    #include <db.h>

    int
    DB->get_re_len(DB *db, u_int32_t *re_lenp);

The `DB->get_re_len()` method returns the length of the records held in a Queue access method database. This value can be set using the DB->set_re_len() method.

The `DB->get_re_len()` method may be called only after the database has been opened.

The `DB->get_re_len()` method returns a non-zero error value on failure and 0 on success.

### Parameters

#### re_lenp

The `DB->get_re_len()` method returns the record length in re_lenp. If the record length has never been set using DB->set_re_len() , then `0` is returned.

### Class

DB

### See Also

Database and Related Methods, DB->set_re_len()

Prev | Up | Next
DB->get_re_delim() | Home | DB->get_re_pad()